Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.interfaces
Interface DHPublicKey

All Superinterfaces:
  DHKey, Key, PublicKey, Serializable

    public interface DHPublicKey

extends DHKey, PublicKey

The interface to a Diffie-Hellman public key.

Since:
  1.4
See Also:
  `DHKey`, `DHPrivateKey`

Field Summary
`static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

Method Summary
`BigInteger` | `getY()` Returns the public value, `y`.

Methods inherited from interface javax.crypto.interfaces.DHKey
`getParams`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

  See Also:
    Constant Field Values

Method Detail

### getY

    BigInteger getY()

  Returns the public value, `y`.

  Returns:
    the public value, `y`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.